/**
 * @file webserver.hpp
 * @author Radim Buráň (xburan03@stud.fit.vutbr.cz)
 */

#ifndef WEB_SERVER_LOGIC_H
#define WEB_SERVER_LOGIC_H

#include "esp_log.h"
#include "freertos/FreeRTOS.h"
#include "freertos/queue.h"
#include "freertos/task.h"
#include "driver/gpio.h"

#include "esp_http_server.h"

#include "utility.hpp"

void webServerStart();

void webServerStop();

esp_err_t get_handler(httpd_req_t *req);

esp_err_t post_handler(httpd_req_t *req);

esp_err_t restart_handler(httpd_req_t* req);


#endif